Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class KeyFactory

    java.lang.Object
      |
      +--java.security.KeyFactory

public class KeyFactory
extends java.lang.Object

Constructor Summary
`protected` | `KeyFactory(KeyFactorySpi keyFacSpi, java.security.Provider provider, java.lang.String algorithm)`

Method Summary
`java.security.PrivateKey` | `generatePrivate(KeySpec keySpec)`
`java.security.PublicKey` | `generatePublic(KeySpec keySpec)`
`java.lang.String` | `getAlgorithm()`
`static KeyFactory` | `getInstance(java.lang.String algorithm)`
`static KeyFactory` | `getInstance(java.lang.String algorithm, java.lang.String provider)`
`KeySpec` | `getKeySpec(java.security.Key key, java.lang.Class keySpec)`
`java.security.Provider` | `getProvider()`
`java.security.Key` | `translateKey(java.security.Key key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyFactory

    protected KeyFactory(KeyFactorySpi keyFacSpi,
                         java.security.Provider provider,
                         java.lang.String algorithm)

Method Detail

### generatePrivate

    public final java.security.PrivateKey generatePrivate(KeySpec keySpec)
                                                   throws InvalidKeySpecException

    `InvalidKeySpecException`

### generatePublic

    public final java.security.PublicKey generatePublic(KeySpec keySpec)
                                                 throws InvalidKeySpecException

    `InvalidKeySpecException`

### getAlgorithm

    public final java.lang.String getAlgorithm()

### getInstance

    public static KeyFactory getInstance(java.lang.String algorithm)
                                  throws java.security.NoSuchAlgorithmException

    `java.security.NoSuchAlgorithmException`

### getInstance

    public static KeyFactory getInstance(java.lang.String algorithm,
                                         java.lang.String provider)
                                  throws java.security.NoSuchAlgorithmException,
                                         java.security.NoSuchProviderException

    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`

### getKeySpec

    public final KeySpec getKeySpec(java.security.Key key,
                                    java.lang.Class keySpec)
                             throws InvalidKeySpecException

    `InvalidKeySpecException`

### getProvider

    public final java.security.Provider getProvider()

### translateKey

    public final java.security.Key translateKey(java.security.Key key)
                                         throws java.security.InvalidKeyException

    `java.security.InvalidKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD